Subject: Re: [DNSOP] AD review: draft-ietf-dnsop-sutld-ps

From: Ralph Droms <[email-masked]>
Date: Thu, 1 Jun 2017 09:04:43 -0400

Thanks for the review and helpful comments, Benoit.

Ted, Warren - I'm login to be tied up with some family stuff through the weekend.  If none of us get to it, I can process Benoit's comments Monday.

- Ralph

> On May 30, 2017, at 11:22 AM, Benoit Claise <[email-masked]> wrote:
> 
> Dear authors,
> 
> Here is my AD review.
> 
> 
> - 
>    This section presents a list of problems that have been identified
>    with respect to the assignment of Special-Use Domain Names.
>    Solutions to these problems, including their costs or tradeoffs, are
>    out of scope for this document. 
> 
>    There is a broad diversity of opinion about this set of problems.
>    Not every participant agrees that each of the problems enumerated in
>    this document is actually a problem.  This document takes no position
>    on the relative validity of the various problems that have been
>    enumerated.  Its focused purposes are to enumerate those problems,
>    provide the reader with context for thinking about them and provide a
>    context for future discussion of solutions.
> 
> So you want to write something such as  ... regardless of whether the problems are valid ones AND regardless of the ownership (IETF, IANA, ICANN, or ...) 
> And it seems that you didn't try to categorize the problems per ownership (this is an IETF or ICANN problem, as an example).
> I guess that this is the way you approached this document, right? You should document this.
> 
> - 
> gTLD Generic Top-Level Domain, as defined in in section 2 of RFC
> 7719 [RFC7719]
> 
> gTLD is not strictly defined in RFC7719, only TLD
> 
> - correct the .home section in 4.2.7, which is solved with Errata ID: 4677 
> 
> 
> MINOR
> - 
>    [SDO-ICANN-DAG]
>               Internet Assigned Numbers Authority, "Special-Use Domain
>               Names registry", October 2015,
>               <https://newgtlds.icann.org/en/applicants/agb/guidebook- <https://newgtlds.icann.org/en/applicants/agb/guidebook-full-04jun12-en.pdf>
>               full-04jun12-en.pdf <https://newgtlds.icann.org/en/applicants/agb/guidebook-full-04jun12-en.pdf>>
> 
> Don't you have a more up to date reference (2012)?
> First page of this document is: "Currently the namespace consists of 22 gTLDs and over 250 ccTLDs operating on various models."
> -
>    o  There are several Domain Name TLDs that are in use without due
>       process for a variety of purposes [SDO-ICANN-COLL <https://tools.ietf.org/html/draft-ietf-dnsop-sutld-ps-04#ref-SDO-ICANN-COLL>].  The status of
>       these names need to be clarified and recorded to avoid future
>       disputes about their use.
> 
> I don't understand the sentence "There are several Domain Name TLDs that are in use without due
>       process for a variety of purposes", with a reference that speaks about "Name Collision in the DNS".
> 
> 
> EDITORIAL:
> - "in in". Two occurences in
> TLD Top-Level Domain, as defined in in section 2 of RFC 7719
> [RFC7719]
> gTLD Generic Top-Level Domain, as defined in in section 2 of RFC
> 7719 [RFC7719]
> 
> - OLD:
>    Special-Use Domain Name  A Domain Name listed in the Special-Use
>       Domain Names registry.
> NEW:
>    Special-Use Domain Name  A Domain Name listed in the Special-Use
>       Domain Names registry [SDO-IANA-SUDR].
> 
> - OLD:
>    The history of RFC 6762 <https://tools.ietf.org/html/rfc6762> is documented in substantial detail in
>    Appendix H <https://tools.ietf.org/html/draft-ietf-dnsop-sutld-ps-04#appendix-H>
> 
> NEW: 
>    The history of RFC 6762 <https://tools.ietf.org/html/rfc6762> is documented in substantial detail in
>    Appendix H of RFC 6762 <https://tools.ietf.org/html/draft-ietf-dnsop-sutld-ps-04#appendix-H>
> 
> - Expand SSAC on the first occurrence.
>  
> Regards, Benoit
>

---

From: Warren Kumari <[email-masked]>
Date: Tue, 6 Jun 2017 09:38:15 -0400

Hi Ralph,

Just checking if you might get to this? If not I *think I can do it at
~noon eastern.
W

On Thu, Jun 1, 2017 at 9:04 AM, Ralph Droms <[email-masked]> wrote:
> Ted, Warren - I'm login to be tied up with some family stuff through the
> weekend.  If none of us get to it, I can process Benoit's comments Monday.
>
> - Ralph
>
> So you want to write something such as  ... regardless of whether the
> problems are valid ones AND regardless of the ownership (IETF, IANA, ICANN,
> or ...)
> And it seems that you didn't try to categorize the problems per ownership
> (this is an IETF or ICANN problem, as an example).
>               <https://newgtlds.icann.org/en/applicants/agb/guidebook-
>               full-04jun12-en.pdf>
>
> First page of this document is: "Currently the namespace consists of 22
> gTLDs and over 250 ccTLDs operating on various models."
>
> -
>       process for a variety of purposes [SDO-ICANN-COLL].  The status of
>    The history of RFC 6762 is documented in substantial detail in
>    Appendix H
>
> NEW:
>    The history of RFC 6762 is documented in substantial detail in
>    Appendix H of RFC 6762
>

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf